Class | Bio::NCBIDB
In: | lib/bio/db/genbank/common.rb lib/bio/db.rb
Parent: | Object

Stores a NCBI style (GenBank, KEGG etc.) entry.

### Methods

new

### Classes and Modules

Module Bio::NCBIDB::Common

### Public Class methods

new(entry, tagsize)

The entire entry is passed as a String. The length of the tag field is passed as an Integer. Parses the entry roughly by the entry2hash method and returns a database object.

[Source]

         # File lib/bio/db.rb, line 256
    256:   def initialize(entry, tagsize)
    257:     @tagsize = tagsize
    258:     @orig = entry2hash(entry.strip)     # Hash of the original entry
    259:     @data = {}                          # Hash of the parsed entry
    260:   end

[Validate]